Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations

UpdateRole

UpdateRole

PUT/zstack/v1/identities/roles/{uuid}

Operation ID

UpdateRole

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • name
    StringRequired

    The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • statements
    List

    Optional. The permission statements.

  • policyUuids
    List

    Optional. The permission policy UUIDs.

  • systemTags
    List

    Optional. The system tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    RoleInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      RoleTypeRequired

      See type.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

    • statements
      ListRequired

      See statements.

      • uuid
        StringRequired

        The resource UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • statement
        PolicyStatementRequired

        See statement.

        • name
          StringRequired

          The resource name.

        • principals
          ListRequired

          The principals.

        • actions
          ListRequired

          The actions.

        • resources
          ListRequired

          The resources.

        • effect
          StatementEffectRequired

          See effect.

          • name
            StringRequired

            The resource name.

          • ordinal
            intRequired

            The ordinal number.